View Issue Details

IDProjectCategoryView StatusLast Update
0002128Ham Radio DeluxeEnhancementpublic2017-09-18 00:08
ReporterK7ZCZ 
Assigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
PlatformIntel i7-5960XOSWindows 10 Professional x64OS Version1703
Product Version6.4.0.660 
Target VersionFixed in Version6.4.0.787 
Summary0002128: Logbook filter is difficult to use
DescriptionThe logbook filter is difficult to use because it spuriously performs the filtering action based on a timer.

The user interacts with the filter bar and changes settings to indicate how they want to filter logbook data. At any moment, the timer may fire and cause a re-fetch of the logbook data with the filter criteria applied. Thing is, the user might not be done entering the filter criteria. The timer fires once per second, so it's quite likely the user isn't nearly done with their settings when the application tries to execute them.

Since the logbook is very slow at database access, the act of filtering might take a long time and the user is interrupted. They lose patience, then come back only to find bad data (or no data) populating the logbook.

The filter bar shouldn't execute based on a timer. Instead, it should include an "Execute" push button that the user can poke when the filter options are set to their liking. the button is disabled initially, and becomes enabled when any change is made to the filter settings. When the user presses the button, it executes the filter and repopulates the logbook view. It then disables itself until the next change to the filter settings is made.

With such a UI, the user deliberately makes the changes they want and executes the filtered retrieval only once -- when they're ready to do so.

Maybe, if we can get all the logbook data into memory, or get database access to an acceptable level of performance, we can make filtering more interactive. But I think a first step toward a produt that works beter is a filter interaction pattern that doesn't surprise the user.

Steps To Reproduce
1) Open your favorite logbook
2) Activate the Filter bar
3) Enable searching for "Callsign" by marking the "Callsign" check box.
4) You intend to type "K7ZCZ", but only type "K7Z".
5) Wait a few seconds.
6) The logbook reloads using the "K7Z" filter. That's not what you waited.
7) Wait up 20 to 30 seconds for the logbook to load its data.
8) Finish typing "K7ZCZ".
9) If you're lucky, you finish in time before the logbook tries to load itself again.

TagsNo tags attached.
ModuleLogbook
Sub-ModuleAppearance/UI
TestingNot Started

Relationships

has duplicate 0002171 closedK7ZCZ 4 - Closed w/o Action Improve Logbook Performance 
related to 0001332 closedK7ZCZ Ham Radio Deluxe Logbook Filter Pane Should Be Static Rather Than Dynamic 
related to 0001504 closedK7ZCZ Ham Radio Deluxe Filter shows empty result (Parent) 
related to 0002126 closedK7ZCZ Ham Radio Deluxe Logbook Filter shouldn't be enabled for field if field dropdown is blank 

Activities

K7ZCZ

2017-09-07 13:19

viewer   ~0004126

Addressed (mostly) with this change set:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/3834

g3ucq

2017-09-12 03:10

viewer   ~0004167

Fixed

WA9PIE

2017-09-18 00:08

administrator   ~0004220

Closed as part of the 6.4.0.787 release.

Issue History

Date Modified Username Field Change
2017-07-13 08:05 K7ZCZ New Issue
2017-08-01 10:21 K7ZCZ Relationship added has duplicate 0002171
2017-09-07 13:19 K7ZCZ Assigned To => K7ZCZ
2017-09-07 13:19 K7ZCZ Status new => resolved
2017-09-07 13:19 K7ZCZ Resolution open => fixed
2017-09-07 13:19 K7ZCZ Note Added: 0004126
2017-09-07 15:59 K7ZCZ Relationship added related to 0001332
2017-09-07 18:18 K7ZCZ Fixed in Version => 6.4.0.784
2017-09-10 09:38 K7ZCZ Relationship added related to 0001504
2017-09-10 22:54 K7ZCZ Relationship added related to 0002126
2017-09-11 21:32 K7ZCZ Fixed in Version 6.4.0.784 => 6.4.0.785
2017-09-12 03:10 g3ucq Note Added: 0004167
2017-09-14 19:23 K7ZCZ Fixed in Version 6.4.0.785 => 6.4.0.787
2017-09-18 00:06 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2017-09-18 00:08 WA9PIE Note Added: 0004220
2017-09-18 00:08 WA9PIE Status resolved => closed